buildscript {
    ext.kotlin_version = '1.7.10'
    repositories {
//        maven { url 'http://localhost:8081/repository/maven-public/' }
        google()
        mavenCentral()
        mavenLocal()
        maven { url 'https://artifacts.applovin.com/android' }
    }

    dependencies {
//        classpath 'com.android.tools.build:gradle:4.2.1'
        classpath 'com.android.tools.build:gradle:7.1.2'
        classpath 'com.google.gms:google-services:4.3.15'
        classpath 'com.google.firebase:firebase-crashlytics-gradle:2.5.2'
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
        classpath "com.applovin.quality:AppLovinQualityServiceGradlePlugin:+"
    }
}

allprojects {
    repositories {
        mavenLocal()
        google()
        mavenCentral()
    }
}

rootProject.buildDir = '../build'
subprojects {
    project.buildDir = "${rootProject.buildDir}/${project.name}"
}
subprojects {
    project.evaluationDependsOn(':app')
}

task clean(type: Delete) {
    delete rootProject.buildDir
}